OPENSSL-GENDSA(1SSL)

NUME
openssl-gendsa - generează o cheie privată DSA de la un set de parametri

SINOPSIS
openssl gendsa [-help] [-out nume-fișier] [-passout argument] [-aes128] [-aes192] [-aes256] [-aria128] [-aria192] [-aria256] [-camellia128] [-camellia192] [-camellia256] [-des] [-des3] [-idea] [-verbose] [-quiet] [-rand fișiere] [-writerand fișier] [-engine id] [-provider nume] [-provider-path ruta] [-provparam [nume:]key=valoare] [-propquery propq] [fișier-parametri]

DESCRIERE
Această comandă generează o cheie privată DSA dintr-un fișier de parametri DSA (care va fi generat de obicei prin comanda openssl-dsaparam(1)).

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-out nume-fișier
    Scrie cheia în fișierul specificat. Dacă acest argument nu este specificat, este utilizată ieșirea standard.

-passout argument
    Fraza de acces utilizată pentru fișierul de ieșire. Consultați openssl-passphrase-options(1).

-aes128, -aes192, -aes256, -aria128, -aria192, -aria256, -camellia128, -camellia192, -camellia256, -des, -des3, -idea
    Aceste opțiuni criptează cheia privată cu un cifru specificat înainte de a o emite. O frază de acces este solicitată. Dacă nu este specificată niciuna dintre aceste opțiuni, nu este utilizată nicio criptare.

    Rețineți că toate opțiunile trebuie să fie date înaintea argumentului fișier-parametri.

-verbose
    Afișează detalii suplimentare despre operațiile efectuate.

-quiet
    Afișează mai puține detalii despre operațiile efectuate, ceea ce poate fi util în timpul scripturilor pe loturi și a liniilor de conducte (pipelines).

-rand fișiere, -writerand fișier
    Consultați «Opțiuni de stare aleatorie» în openssl(1) pentru detalii.

-engine id
    Consultați secțiunea «Opțiuni motor» din openssl(1). Această opțiune este depreciată.

fișier-parametri
    Fișierul de parametri DSA care urmează să fie utilizat. Parametrii din acest fișier determină dimensiunea cheii private. Parametrii DSA pot fi generați și examinați utilizând comanda openssl-dsaparam(1).

-provider nume
-provider-path rută
-provparam [nume:]key=valoare
-propquery propq
    Consultați „Opțiuni furnizor” în openssl(1), provider(7) și property(7).

NOTE
Generarea de chei DSA este puțin mai mult decât generarea de numere aleatorii, deci este mult mai rapidă decât generarea de chei RSA, de exemplu.

CONSULTAȚI ȘI
openssl(1), openssl-genpkey(1), openssl-dsaparam(1), openssl-dsa(1), openssl-genrsa(1), openssl-rsa(1)

ISTORIC
Opțiunea -engine a fost depreciată în OpenSSL 3.0.

DREPTURI DE AUTOR
Drepturi de autor 2000-2023 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.